Skip to main content
POST
/
projects
/
{project_id}
/
tools
Run Tool
curl --request POST \
  --url https://actionkit.useparagon.com/projects/{project_id}/tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tool": "SLACK_SEND_MESSAGE",
  "parameters": {}
}
'
{
  "ok": true,
  "channel": "CSQCUNXBP",
  "ts": "1739896301.418839",
  "message": {
    "user": "U0101SYAC07",
    "type": "message",
    "ts": "1739896301.418839",
    "bot_id": "B0101SYAB3R",
    "app_id": "A01001G1G7J",
    "text": "test",
    "team": "TM7FL705V",
    "bot_profile": {
      "id": "B0101SYAB3R",
      "app_id": "A01001G1G7J",
      "name": "Paragon",
      "icons": {
        "image_36": "https://avatars.slack-edge.com/2020-03-24/1022919802484_c4af0a8de9e9c25f4b58_36.png",
        "image_48": "https://avatars.slack-edge.com/2020-03-24/1022919802484_c4af0a8de9e9c25f4b58_48.png",
        "image_72": "https://avatars.slack-edge.com/2020-03-24/1022919802484_c4af0a8de9e9c25f4b58_72.png"
      },
      "deleted": false,
      "updated": 1587073960,
      "team_id": "TM7FL705V"
    },
    "blocks": [
      {
        "type": "section",
        "block_id": "iAHFB",
        "text": {
          "type": "mrkdwn",
          "text": "test",
          "verbatim": false
        }
      }
    ]
  },
  "response_metadata": {
    "scopes": [
      "app_mentions:read",
      "chat:write",
      "chat:write.public",
      "channels:read",
      "reactions:write",
      "chat:write.customize",
      "im:read",
      "im:write",
      "users:read",
      "groups:read",
      "channels:manage",
      "groups:write",
      "mpim:write",
      "team:read",
      "channels:history",
      "users:read.email",
      "files:read",
      "files:write"
    ],
    "acceptedScopes": [
      "chat:write"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint can be used to call any ActionKit Tool on behalf of your user. You can find specific input parameters for a Tool you want to call in the Tools Reference, for example: Each Tool in the Reference is an example call to this endpoint.
This endpoint was previously available at POST /projects/{project_id}/actions. The /actions path is preserved for backward compatibility; both paths work identically.

Authorizations

Authorization
string
header
required

Your Paragon User Token (JWT), which you can generate using your project's signing keys.

Path Parameters

project_id
string
required

Your Paragon Project ID. You can copy your Project ID from your dashboard URL or by clicking Copy Project ID under the Environment switcher.

Body

application/json
tool
string
required

The Tool to run

Example:

"SLACK_SEND_MESSAGE"

parameters
object
required

The parameters to pass to the Tool. See available parameters for your specific Tool in the Tools Reference.

Response

Note: Responses will vary by integration provider. Paragon returns the API response of the last request that was used to run this Tool.